---
title: list-issuers
product: vercel
url: /docs/rest-api/kms/list-issuers
canonical_url: "https://vercel.com/docs/rest-api/kms/list-issuers"
last_updated: 2026-09-08
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-issuers on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List issuers

```http
GET /v1/kms/issuers
```

Retrieve the list of KMS issuers that belong to the authenticated team. The results are paginated.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer. min: 1; max: 100 | No | Maximum number of issuers to return. |
| `next` | string. maxLength: 1024; pattern: `^[A-Za-z0-9_-]+$` | No | Continuation cursor to retrieve the next page of results. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

### TypeScript

```typescript
const response = await fetch('https://api.vercel.com/v1/kms/issuers?limit=123&next=string&teamId=string&slug=string', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Next.js

```typescript
'use server';

export async function callEndpoint() {
  const response = await fetch('https://api.vercel.com/v1/kms/issuers?limit=123&next=string&teamId=string&slug=string', {
    method: 'GET',
    headers: {
      'Authorization': `Bearer ${process.env.VERCEL_ACCESS_TOKEN}`,
      'Content-Type': 'application/json',
    },
    next: { revalidate: 3600 }
  });

  if (!response.ok) {
    throw new Error('Request failed');
  }

  return response.json();
}
```

### cURL

```bash
curl -X GET 'https://api.vercel.com/v1/kms/issuers?limit=123&next=string&teamId=string&slug=string' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json'
```

## Example response

```json
{
  "issuers": [
    {
      "id": "icfg_1234567890",
      "ownerId": "example_id",
      "name": "Example Name",
      "algorithm": "ES256",
      "origin": "external",
      "managedBy": "string",
      "claimsSchema": "value",
      "createdAt": "string",
      "updatedAt": "string",
      "signingKeys": [
        {
          "keyId": "example_id",
          "importKeyId": "example_id",
          "issuerId": "example_id",
          "algorithm": "string",
          "status": "active",
          "publicKey": {},
          "publicKeyFingerprint": "string",
          "publicKeyPem": "string",
          "certificatePem": "string",
          "createdAt": "string",
          "updatedAt": "string",
          "revokeAt": "string",
          "activateAt": "string",
          "activatedAt": "string"
        }
      ],
      "policies": [
        {
          "kind": "project-grant",
          "teamId": "example_id",
          "projectId": "example_id",
          "environments": [],
          "tokenClaims": "value",
          "createdAt": "string",
          "updatedAt": "string"
        }
      ]
    }
  ],
  "pagination": {
    "count": "123",
    "next": "string"
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "issuers",
    "pagination"
  ],
  "properties": {
    "issuers": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "algorithm",
          "createdAt",
          "id",
          "name",
          "origin",
          "ownerId",
          "policies",
          "signingKeys",
          "updatedAt"
        ],
        "properties": {
          "id": {
            "type": "string"
          },
          "ownerId": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "algorithm": {
            "type": "string",
            "enum": [
              "ES256",
              "ES384",
              "ES512",
              "EdDSA",
              "PS256",
              "PS384",
              "PS512",
              "RS256",
              "RS384",
              "RS512"
            ]
          },
          "origin": {
            "type": "string",
            "enum": [
              "external",
              "vercel"
            ]
          },
          "managedBy": {
            "type": "string"
          },
          "claimsSchema": {
            "type": "object"
          },
          "createdAt": {
            "type": "string"
          },
          "updatedAt": {
            "type": "string"
          },
          "signingKeys": {
            "type": "array"
          },
          "policies": {
            "type": "array"
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "count",
        "next"
      ],
      "properties": {
        "count": {
          "type": "number"
        },
        "next": {
          "type": "string",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 410: No description

---

## Related

- [kms endpoints](/docs/rest-api#kms)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
